# dkim_setpartial()

[back to index]

SYNOPSIS |
    #include <dkim.h>

    DKIM_STAT dkim_setpartial(
    	DKIM *dkim,
    	_Bool value
    );
DESCRIPTION |
Called When | `dkim_setpartial()` can be called at any time after a DKIM handle has been initialized by `dkim_sign()`.
ARGUMENTS |
Argument | Description
--- | ---
dkim | Message-specific handle, returned by `dkim_sign()`.
value | Either TRUE or FALSE, indicating wether or not the message being processed should have a signature generated with the "l=" tag.
RETURN VALUES |
Value | Description
--- | ---
`DKIM_STAT_OK` | Successful completion.
`DKIM_STAT_INVALID` | The message-specific handle is not a signing handle.

NOTES

- Regardless if the setting of this bit inside a message-specific handle, a signature with "l=" will be generated if the `DKIM_LIBFLAGS_SIGNLEN` flag was set on the library handle.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.